summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEttore Di Giacinto <mudler@gentoo.org>2017-05-21 13:12:26 +0200
committerEttore Di Giacinto <mudler@gentoo.org>2017-05-21 13:13:03 +0200
commitb6507560775e7aa9f4bcca9e342ffa2fc21b47a0 (patch)
treee479d9cd84de777f74844aa2a546df802110891b /dev-vcs
parentapp-office/libreoffice-l10n: Remove old (diff)
downloadgentoo-b6507560775e7aa9f4bcca9e342ffa2fc21b47a0.tar.gz
gentoo-b6507560775e7aa9f4bcca9e342ffa2fc21b47a0.tar.bz2
gentoo-b6507560775e7aa9f4bcca9e342ffa2fc21b47a0.zip
dev-vcs/git-lfs: Bump version to 2.1.1
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'dev-vcs')
-rw-r--r--dev-vcs/git-lfs/Manifest1
-rw-r--r--dev-vcs/git-lfs/git-lfs-2.1.1.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/dev-vcs/git-lfs/Manifest b/dev-vcs/git-lfs/Manifest
index 0ab57ebb572..74ded4736cb 100644
--- a/dev-vcs/git-lfs/Manifest
+++ b/dev-vcs/git-lfs/Manifest
@@ -1,3 +1,4 @@
DIST git-lfs-1.5.6.tar.gz 604139 SHA256 4efbc806cde1ea6ab4e1d61db3e1f6939796fd53bf6e9c94ac564610147ea5cd SHA512 f5f2da9ac44647335b25cad3104027cf5476e25ef9763019744123f9e1ef81edadbf5b08a146b8070487b32a18aa202c799f910aee6f2f0144ca411ad6d7cfd2 WHIRLPOOL 2f785abffc917a322fe59f4354980d5f565572620569b9b53e85ecdf84b5d7ad407ced8853c897814daa816cac6efd1f85c9098cae9fe48b179cd3381c5f840d
DIST git-lfs-2.0.2.tar.gz 633786 SHA256 e266bdffa53e947ba1d0bf8944d73029384bad2ed05af92bc10918d07eec6b63 SHA512 af5d82234b4136e8d5637c93f7786b56ef552ff30bff01c444ac6fa9685785225148f7a8714c108691195a6f720a7c22f3bcaccaed080cffecf011d8480781ed WHIRLPOOL e7706e7fe949c5d65b2acb34c73e9c1605d0cbe2c607baee93f3c6c67b183f8eb70be2abca3b3c549a26947aef32ddb65742aca33614b519611acdb6dae74f0c
DIST git-lfs-2.1.0.tar.gz 645947 SHA256 638e079aab661a8e4d886fd9d4ea728c5e4efcbf657ad4f5497ba39b91e91c08 SHA512 8674d850d4d03ddbea9088fc79dd0956273ed0a76626500344c0c48d5729c2d6bab3e22d298361726a5b87232a9365eb7ca7c910cc0b782117b315dbc7488348 WHIRLPOOL 312258dd0a39a482d2a423128ca81d80c3797c29e2eb855aa6c20c5bfec07b39b0a2f728be72049eab1b9a2edc72ad8bb9393e450754b24cbfc8d8b8bfcc15a3
+DIST git-lfs-2.1.1.tar.gz 649611 SHA256 655c1e9bf931afb958c2b81de5c1c38b3ebd6831a04ca5fdcf58cba05e2948d8 SHA512 9061cb9fdf93a0c119d5762ceebdbc0573491dedb1815512e7eae9da54574087c1e499ea97ba0a87d7356499314beb53d60d1800b5c85983ef835dae37e7dd84 WHIRLPOOL 0cfbb0912314ca1afbb426b73521c136d35d2da37ee71cc5a952b17ed0bc92b7706483923f2a701f0bfef1407c34b3f4f5f85f97a655efb7f4d3caf615a0c380
diff --git a/dev-vcs/git-lfs/git-lfs-2.1.1.ebuild b/dev-vcs/git-lfs/git-lfs-2.1.1.ebuild
new file mode 100644
index 00000000000..7a32ca36cc9
--- /dev/null
+++ b/dev-vcs/git-lfs/git-lfs-2.1.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGO_PN="github.com/git-lfs/${PN}"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit golang-vcs
+else
+ SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+ inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="command line extension and specification for managing large files with Git"
+HOMEPAGE="https://git-lfs.github.com/"
+
+LICENSE="MIT BSD BSD-2 BSD-4 Apache-2.0"
+SLOT="0"
+IUSE="+doc"
+
+# since version 2.0.2 git-lfs uses time.Until that was introduced in golang >=1.8
+# https://github.com/golang/go/commit/67ea710792eabdae1182e2bf4845f512136cccce
+DEPEND=">=dev-lang/go-1.8.1:=
+ doc? ( app-text/ronn )"
+
+RDEPEND="dev-vcs/git"
+
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_compile() {
+ # can't use golang-build_src_compile for go generate
+ # and others steps executed by build.go
+ GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" \
+ go run script/*.go -cmd build || die "build failed"
+
+ if use doc; then
+ ronn docs/man/*.ronn || die "man building failed"
+ fi
+}
+
+src_install() {
+ dobin bin/git-lfs
+
+ use doc && doman docs/man/*.1
+}